<?php
$tdataattendance11 = array();
$tdataattendance11[".searchableFields"] = array();
$tdataattendance11[".ShortName"] = "attendance11";
$tdataattendance11[".OwnerID"] = "";
$tdataattendance11[".OriginalTable"] = "attendance";


$tdataattendance11[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataattendance11[".originalPagesByType"] = $tdataattendance11[".pagesByType"];
$tdataattendance11[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataattendance11[".originalPages"] = $tdataattendance11[".pages"];
$tdataattendance11[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\"}" );
$tdataattendance11[".originalDefaultPages"] = $tdataattendance11[".defaultPages"];

//	field labels
$fieldLabelsattendance11 = array();
$fieldToolTipsattendance11 = array();
$pageTitlesattendance11 = array();
$placeHoldersattendance11 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsattendance11["English"] = array();
	$fieldToolTipsattendance11["English"] = array();
	$placeHoldersattendance11["English"] = array();
	$pageTitlesattendance11["English"] = array();
	$fieldLabelsattendance11["English"]["id"] = "Id";
	$fieldToolTipsattendance11["English"]["id"] = "";
	$placeHoldersattendance11["English"]["id"] = "";
	$fieldLabelsattendance11["English"]["emp_id"] = "Emp Id";
	$fieldToolTipsattendance11["English"]["emp_id"] = "";
	$placeHoldersattendance11["English"]["emp_id"] = "";
	$fieldLabelsattendance11["English"]["month"] = "Month";
	$fieldToolTipsattendance11["English"]["month"] = "";
	$placeHoldersattendance11["English"]["month"] = "";
	$fieldLabelsattendance11["English"]["year"] = "Year";
	$fieldToolTipsattendance11["English"]["year"] = "";
	$placeHoldersattendance11["English"]["year"] = "";
	$fieldLabelsattendance11["English"]["SUM_attendance_"] = "SUM(attendance)";
	$fieldToolTipsattendance11["English"]["SUM_attendance_"] = "";
	$placeHoldersattendance11["English"]["SUM_attendance_"] = "";
	$fieldLabelsattendance11["English"]["SUM_overtime_hours_"] = "SUM(overtime Hours)";
	$fieldToolTipsattendance11["English"]["SUM_overtime_hours_"] = "";
	$placeHoldersattendance11["English"]["SUM_overtime_hours_"] = "";
	$fieldLabelsattendance11["English"]["days_pay_rate"] = "Days Pay Rate";
	$fieldToolTipsattendance11["English"]["days_pay_rate"] = "";
	$placeHoldersattendance11["English"]["days_pay_rate"] = "";
	$fieldLabelsattendance11["English"]["over_time_rate_per_hour"] = "Over Time Rate Per Hour";
	$fieldToolTipsattendance11["English"]["over_time_rate_per_hour"] = "";
	$placeHoldersattendance11["English"]["over_time_rate_per_hour"] = "";
	$fieldLabelsattendance11["English"]["meal_allowance_rate"] = "Meal Allowance Rate";
	$fieldToolTipsattendance11["English"]["meal_allowance_rate"] = "";
	$placeHoldersattendance11["English"]["meal_allowance_rate"] = "";
	$fieldLabelsattendance11["English"]["e_P_f_rate"] = "E P F Rate";
	$fieldToolTipsattendance11["English"]["e_P_f_rate"] = "";
	$placeHoldersattendance11["English"]["e_P_f_rate"] = "";
	$fieldLabelsattendance11["English"]["special_allowance_rate"] = "Special Allowance Rate";
	$fieldToolTipsattendance11["English"]["special_allowance_rate"] = "";
	$placeHoldersattendance11["English"]["special_allowance_rate"] = "";
	$fieldLabelsattendance11["English"]["budgetary_relief_allowance_rate"] = "Budgetary Relief Allowance Rate";
	$fieldToolTipsattendance11["English"]["budgetary_relief_allowance_rate"] = "";
	$placeHoldersattendance11["English"]["budgetary_relief_allowance_rate"] = "";
	$fieldLabelsattendance11["English"]["salary"] = "Salary";
	$fieldToolTipsattendance11["English"]["salary"] = "";
	$placeHoldersattendance11["English"]["salary"] = "";
	$fieldLabelsattendance11["English"]["OT"] = "OT";
	$fieldToolTipsattendance11["English"]["OT"] = "";
	$placeHoldersattendance11["English"]["OT"] = "";
	$fieldLabelsattendance11["English"]["meal_allowance"] = "Meal Allowance";
	$fieldToolTipsattendance11["English"]["meal_allowance"] = "";
	$placeHoldersattendance11["English"]["meal_allowance"] = "";
	$fieldLabelsattendance11["English"]["e_P_f"] = "E P F";
	$fieldToolTipsattendance11["English"]["e_P_f"] = "";
	$placeHoldersattendance11["English"]["e_P_f"] = "";
	$fieldLabelsattendance11["English"]["special_allowance_1"] = "Special Allowance 1";
	$fieldToolTipsattendance11["English"]["special_allowance_1"] = "";
	$placeHoldersattendance11["English"]["special_allowance_1"] = "";
	$fieldLabelsattendance11["English"]["budgetary_relief_allowance"] = "Budgetary Relief Allowance";
	$fieldToolTipsattendance11["English"]["budgetary_relief_allowance"] = "";
	$placeHoldersattendance11["English"]["budgetary_relief_allowance"] = "";
	$fieldLabelsattendance11["English"]["fullname"] = "Fullname";
	$fieldToolTipsattendance11["English"]["fullname"] = "";
	$placeHoldersattendance11["English"]["fullname"] = "";
	$fieldLabelsattendance11["English"]["details"] = "Details";
	$fieldToolTipsattendance11["English"]["details"] = "";
	$placeHoldersattendance11["English"]["details"] = "";
	if (count($fieldToolTipsattendance11["English"]))
		$tdataattendance11[".isUseToolTips"] = true;
}


	$tdataattendance11[".NCSearch"] = true;



$tdataattendance11[".shortTableName"] = "attendance11";
$tdataattendance11[".nSecOptions"] = 0;

$tdataattendance11[".mainTableOwnerID"] = "";
$tdataattendance11[".entityType"] = 1;
$tdataattendance11[".connId"] = "test2_at_localhost";


$tdataattendance11[".strOriginalTableName"] = "attendance";

	



$tdataattendance11[".showAddInPopup"] = false;

$tdataattendance11[".showEditInPopup"] = false;

$tdataattendance11[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataattendance11[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataattendance11[".listAjax"] = false;
//	temporary
$tdataattendance11[".listAjax"] = false;

	$tdataattendance11[".audit"] = true;

	$tdataattendance11[".locking"] = false;


$pages = $tdataattendance11[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataattendance11[".edit"] = true;
	$tdataattendance11[".afterEditAction"] = 1;
	$tdataattendance11[".closePopupAfterEdit"] = 1;
	$tdataattendance11[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataattendance11[".add"] = true;
$tdataattendance11[".afterAddAction"] = 1;
$tdataattendance11[".closePopupAfterAdd"] = 1;
$tdataattendance11[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataattendance11[".list"] = true;
}



$tdataattendance11[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataattendance11[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataattendance11[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataattendance11[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataattendance11[".printFriendly"] = true;
}



$tdataattendance11[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataattendance11[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataattendance11[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataattendance11[".isUseAjaxSuggest"] = true;

$tdataattendance11[".rowHighlite"] = true;



																																																			

$tdataattendance11[".ajaxCodeSnippetAdded"] = false;

$tdataattendance11[".buttonsAdded"] = false;

$tdataattendance11[".addPageEvents"] = false;

// use timepicker for search panel
$tdataattendance11[".isUseTimeForSearch"] = false;


$tdataattendance11[".badgeColor"] = "3CB371";


$tdataattendance11[".allSearchFields"] = array();
$tdataattendance11[".filterFields"] = array();
$tdataattendance11[".requiredSearchFields"] = array();

$tdataattendance11[".googleLikeFields"] = array();
$tdataattendance11[".googleLikeFields"][] = "id";
$tdataattendance11[".googleLikeFields"][] = "SUM(attendance)";
$tdataattendance11[".googleLikeFields"][] = "SUM(overtime_hours)";
$tdataattendance11[".googleLikeFields"][] = "month";
$tdataattendance11[".googleLikeFields"][] = "year";
$tdataattendance11[".googleLikeFields"][] = "emp_id";
$tdataattendance11[".googleLikeFields"][] = "days_pay_rate";
$tdataattendance11[".googleLikeFields"][] = "over_time_rate_per_hour";
$tdataattendance11[".googleLikeFields"][] = "meal_allowance_rate";
$tdataattendance11[".googleLikeFields"][] = "e_P_f_rate";
$tdataattendance11[".googleLikeFields"][] = "special_allowance_rate";
$tdataattendance11[".googleLikeFields"][] = "budgetary_relief_allowance_rate";
$tdataattendance11[".googleLikeFields"][] = "salary";
$tdataattendance11[".googleLikeFields"][] = "OT";
$tdataattendance11[".googleLikeFields"][] = "meal_allowance";
$tdataattendance11[".googleLikeFields"][] = "e_P_f";
$tdataattendance11[".googleLikeFields"][] = "special_allowance_1";
$tdataattendance11[".googleLikeFields"][] = "budgetary_relief_allowance";
$tdataattendance11[".googleLikeFields"][] = "fullname";
$tdataattendance11[".googleLikeFields"][] = "details";



$tdataattendance11[".tableType"] = "list";

$tdataattendance11[".printerPageOrientation"] = 0;
$tdataattendance11[".nPrinterPageScale"] = 100;

$tdataattendance11[".nPrinterSplitRecords"] = 40;

$tdataattendance11[".geocodingEnabled"] = false;










$tdataattendance11[".pageSize"] = 20;

$tdataattendance11[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY attendance.`month` DESC, attendance.emp_id ASC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataattendance11[".strOrderBy"] = $tstrOrderBy;

$tdataattendance11[".orderindexes"] = array();
	$tdataattendance11[".orderindexes"][] = array(4, (0 ? "ASC" : "DESC"), "attendance.`month`");

	$tdataattendance11[".orderindexes"][] = array(6, (1 ? "ASC" : "DESC"), "attendance.emp_id");



$tdataattendance11[".sqlHead"] = "SELECT concat(attendance.`year`,attendance.`month`,attendance.emp_id)as id,  SUM(attendance.attendance) AS `SUM(attendance)`,  SUM(attendance.overtime_hours) AS `SUM(overtime_hours)`,  attendance.`month`,  attendance.`year`,  attendance.emp_id,  salaries_and_allowances.days_pay AS days_pay_rate,  salaries_and_allowances.over_time AS over_time_rate_per_hour,  salaries_and_allowances.meal_allowance AS meal_allowance_rate,  salaries_and_allowances.e_P_f AS e_P_f_rate,  salaries_and_allowances.special_allowance_1 AS special_allowance_rate,  salaries_and_allowances.budgetary_relief_allowance AS budgetary_relief_allowance_rate,  SUM(attendance.attendance)  * salaries_and_allowances.days_pay AS salary,  SUM(attendance.overtime_hours) * salaries_and_allowances.over_time AS OT,  SUM(attendance.attendance)  * salaries_and_allowances.meal_allowance AS meal_allowance,  SUM(attendance.attendance)  * salaries_and_allowances.e_P_f AS e_P_f,  SUM(attendance.attendance)  * salaries_and_allowances.special_allowance_1 AS special_allowance_1,  SUM(attendance.attendance)  * salaries_and_allowances.budgetary_relief_allowance AS budgetary_relief_allowance,  sys_manage.fullname,  CONCAT(\"Days-\",SUM(attendance.attendance),\", Overtime_hours-\",SUM(attendance.overtime_hours)) as details";
$tdataattendance11[".sqlFrom"] = "FROM attendance  LEFT OUTER JOIN salaries_and_allowances ON attendance.emp_id = salaries_and_allowances.emp_id  LEFT OUTER JOIN sys_manage ON attendance.emp_id = sys_manage.ID";
$tdataattendance11[".sqlWhereExpr"] = "";
$tdataattendance11[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataattendance11[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataattendance11[".arrGroupsPerPage"] = $arrGPP;

$tdataattendance11[".highlightSearchResults"] = true;

$tableKeysattendance11 = array();
$tableKeysattendance11[] = "id";
$tdataattendance11[".Keys"] = $tableKeysattendance11;


$tdataattendance11[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","id");
	$fdata["FieldType"] = 200;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "concat(attendance.`year`,attendance.`month`,attendance.emp_id)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=11";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["id"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "id";
//	SUM(attendance)
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "SUM(attendance)";
	$fdata["GoodName"] = "SUM_attendance_";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","SUM_attendance_");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "SUM(attendance)";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(attendance.attendance)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["SUM(attendance)"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "SUM(attendance)";
//	SUM(overtime_hours)
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "SUM(overtime_hours)";
	$fdata["GoodName"] = "SUM_overtime_hours_";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","SUM_overtime_hours_");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "SUM(overtime_hours)";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(attendance.overtime_hours)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["SUM(overtime_hours)"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "SUM(overtime_hours)";
//	month
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "month";
	$fdata["GoodName"] = "month";
	$fdata["ownerTable"] = "attendance";
	$fdata["Label"] = GetFieldLabel("attendance11","month");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "month";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "attendance.`month`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["month"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "month";
//	year
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "year";
	$fdata["GoodName"] = "year";
	$fdata["ownerTable"] = "attendance";
	$fdata["Label"] = GetFieldLabel("attendance11","year");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "year";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "attendance.`year`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["year"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "year";
//	emp_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "emp_id";
	$fdata["GoodName"] = "emp_id";
	$fdata["ownerTable"] = "attendance";
	$fdata["Label"] = GetFieldLabel("attendance11","emp_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "emp_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "attendance.emp_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Users";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "ID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "fullname";

	

	
	$edata["LookupOrderBy"] = "fullname";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["emp_id"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "emp_id";
//	days_pay_rate
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "days_pay_rate";
	$fdata["GoodName"] = "days_pay_rate";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("attendance11","days_pay_rate");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "days_pay";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salaries_and_allowances.days_pay";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["days_pay_rate"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "days_pay_rate";
//	over_time_rate_per_hour
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "over_time_rate_per_hour";
	$fdata["GoodName"] = "over_time_rate_per_hour";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("attendance11","over_time_rate_per_hour");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "over_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salaries_and_allowances.over_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["over_time_rate_per_hour"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "over_time_rate_per_hour";
//	meal_allowance_rate
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "meal_allowance_rate";
	$fdata["GoodName"] = "meal_allowance_rate";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("attendance11","meal_allowance_rate");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "meal_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salaries_and_allowances.meal_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["meal_allowance_rate"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "meal_allowance_rate";
//	e_P_f_rate
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "e_P_f_rate";
	$fdata["GoodName"] = "e_P_f_rate";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("attendance11","e_P_f_rate");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "e_P_f";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salaries_and_allowances.e_P_f";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["e_P_f_rate"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "e_P_f_rate";
//	special_allowance_rate
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "special_allowance_rate";
	$fdata["GoodName"] = "special_allowance_rate";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("attendance11","special_allowance_rate");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "special_allowance_1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salaries_and_allowances.special_allowance_1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["special_allowance_rate"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "special_allowance_rate";
//	budgetary_relief_allowance_rate
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "budgetary_relief_allowance_rate";
	$fdata["GoodName"] = "budgetary_relief_allowance_rate";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("attendance11","budgetary_relief_allowance_rate");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "budgetary_relief_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salaries_and_allowances.budgetary_relief_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["budgetary_relief_allowance_rate"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "budgetary_relief_allowance_rate";
//	salary
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "salary";
	$fdata["GoodName"] = "salary";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","salary");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "salary";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(attendance.attendance)  * salaries_and_allowances.days_pay";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["salary"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "salary";
//	OT
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "OT";
	$fdata["GoodName"] = "OT";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","OT");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "OT";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(attendance.overtime_hours) * salaries_and_allowances.over_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["OT"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "OT";
//	meal_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "meal_allowance";
	$fdata["GoodName"] = "meal_allowance";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","meal_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "meal_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(attendance.attendance)  * salaries_and_allowances.meal_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["meal_allowance"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "meal_allowance";
//	e_P_f
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "e_P_f";
	$fdata["GoodName"] = "e_P_f";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","e_P_f");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "e_P_f";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(attendance.attendance)  * salaries_and_allowances.e_P_f";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["e_P_f"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "e_P_f";
//	special_allowance_1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "special_allowance_1";
	$fdata["GoodName"] = "special_allowance_1";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","special_allowance_1");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "special_allowance_1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(attendance.attendance)  * salaries_and_allowances.special_allowance_1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["special_allowance_1"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "special_allowance_1";
//	budgetary_relief_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "budgetary_relief_allowance";
	$fdata["GoodName"] = "budgetary_relief_allowance";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","budgetary_relief_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "budgetary_relief_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(attendance.attendance)  * salaries_and_allowances.budgetary_relief_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["budgetary_relief_allowance"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "budgetary_relief_allowance";
//	fullname
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "fullname";
	$fdata["GoodName"] = "fullname";
	$fdata["ownerTable"] = "sys_manage";
	$fdata["Label"] = GetFieldLabel("attendance11","fullname");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fullname";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sys_manage.fullname";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["fullname"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "fullname";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("attendance11","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CONCAT(\"Days-\",SUM(attendance.attendance),\", Overtime_hours-\",SUM(attendance.overtime_hours))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance11["details"] = $fdata;
		$tdataattendance11[".searchableFields"][] = "details";


$tables_data["attendance11"]=&$tdataattendance11;
$field_labels["attendance11"] = &$fieldLabelsattendance11;
$fieldToolTips["attendance11"] = &$fieldToolTipsattendance11;
$placeHolders["attendance11"] = &$placeHoldersattendance11;
$page_titles["attendance11"] = &$pageTitlesattendance11;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["attendance11"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["attendance11"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_attendance11()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "concat(attendance.`year`,attendance.`month`,attendance.emp_id)as id,  SUM(attendance.attendance) AS `SUM(attendance)`,  SUM(attendance.overtime_hours) AS `SUM(overtime_hours)`,  attendance.`month`,  attendance.`year`,  attendance.emp_id,  salaries_and_allowances.days_pay AS days_pay_rate,  salaries_and_allowances.over_time AS over_time_rate_per_hour,  salaries_and_allowances.meal_allowance AS meal_allowance_rate,  salaries_and_allowances.e_P_f AS e_P_f_rate,  salaries_and_allowances.special_allowance_1 AS special_allowance_rate,  salaries_and_allowances.budgetary_relief_allowance AS budgetary_relief_allowance_rate,  SUM(attendance.attendance)  * salaries_and_allowances.days_pay AS salary,  SUM(attendance.overtime_hours) * salaries_and_allowances.over_time AS OT,  SUM(attendance.attendance)  * salaries_and_allowances.meal_allowance AS meal_allowance,  SUM(attendance.attendance)  * salaries_and_allowances.e_P_f AS e_P_f,  SUM(attendance.attendance)  * salaries_and_allowances.special_allowance_1 AS special_allowance_1,  SUM(attendance.attendance)  * salaries_and_allowances.budgetary_relief_allowance AS budgetary_relief_allowance,  sys_manage.fullname,  CONCAT(\"Days-\",SUM(attendance.attendance),\", Overtime_hours-\",SUM(attendance.overtime_hours)) as details";
$proto0["m_strFrom"] = "FROM attendance  LEFT OUTER JOIN salaries_and_allowances ON attendance.emp_id = salaries_and_allowances.emp_id  LEFT OUTER JOIN sys_manage ON attendance.emp_id = sys_manage.ID";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY attendance.`month` DESC, attendance.emp_id ASC";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$proto7=array();
$proto7["m_functiontype"] = "SQLF_CUSTOM";
$proto7["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "attendance.`year`"
));

$proto7["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "attendance.`month`"
));

$proto7["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "attendance.emp_id"
));

$proto7["m_arguments"][]=$obj;
$proto7["m_strFunctionName"] = "concat";
$obj = new SQLFunctionCall($proto7);

$proto6["m_sql"] = "concat(attendance.`year`,attendance.`month`,attendance.emp_id)";
$proto6["m_srcTableName"] = "attendance11";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "id";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$proto12=array();
$proto12["m_functiontype"] = "SQLF_SUM";
$proto12["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "attendance",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto12["m_arguments"][]=$obj;
$proto12["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto12);

$proto11["m_sql"] = "SUM(attendance.attendance)";
$proto11["m_srcTableName"] = "attendance11";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "SUM(attendance)";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$proto15=array();
$proto15["m_functiontype"] = "SQLF_SUM";
$proto15["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "overtime_hours",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto15["m_arguments"][]=$obj;
$proto15["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto15);

$proto14["m_sql"] = "SUM(attendance.overtime_hours)";
$proto14["m_srcTableName"] = "attendance11";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "SUM(overtime_hours)";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "month",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto17["m_sql"] = "attendance.`month`";
$proto17["m_srcTableName"] = "attendance11";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "year",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto19["m_sql"] = "attendance.`year`";
$proto19["m_srcTableName"] = "attendance11";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "emp_id",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto21["m_sql"] = "attendance.emp_id";
$proto21["m_srcTableName"] = "attendance11";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "days_pay",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "attendance11"
));

$proto23["m_sql"] = "salaries_and_allowances.days_pay";
$proto23["m_srcTableName"] = "attendance11";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "days_pay_rate";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "over_time",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "attendance11"
));

$proto25["m_sql"] = "salaries_and_allowances.over_time";
$proto25["m_srcTableName"] = "attendance11";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "over_time_rate_per_hour";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "meal_allowance",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "attendance11"
));

$proto27["m_sql"] = "salaries_and_allowances.meal_allowance";
$proto27["m_srcTableName"] = "attendance11";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "meal_allowance_rate";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "e_P_f",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "attendance11"
));

$proto29["m_sql"] = "salaries_and_allowances.e_P_f";
$proto29["m_srcTableName"] = "attendance11";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "e_P_f_rate";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "special_allowance_1",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "attendance11"
));

$proto31["m_sql"] = "salaries_and_allowances.special_allowance_1";
$proto31["m_srcTableName"] = "attendance11";
$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "special_allowance_rate";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "budgetary_relief_allowance",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "attendance11"
));

$proto33["m_sql"] = "salaries_and_allowances.budgetary_relief_allowance";
$proto33["m_srcTableName"] = "attendance11";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "budgetary_relief_allowance_rate";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(attendance.attendance)  * salaries_and_allowances.days_pay"
));

$proto35["m_sql"] = "SUM(attendance.attendance)  * salaries_and_allowances.days_pay";
$proto35["m_srcTableName"] = "attendance11";
$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "salary";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(attendance.overtime_hours) * salaries_and_allowances.over_time"
));

$proto37["m_sql"] = "SUM(attendance.overtime_hours) * salaries_and_allowances.over_time";
$proto37["m_srcTableName"] = "attendance11";
$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "OT";
$obj = new SQLFieldListItem($proto37);

$proto0["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(attendance.attendance)  * salaries_and_allowances.meal_allowance"
));

$proto39["m_sql"] = "SUM(attendance.attendance)  * salaries_and_allowances.meal_allowance";
$proto39["m_srcTableName"] = "attendance11";
$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "meal_allowance";
$obj = new SQLFieldListItem($proto39);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(attendance.attendance)  * salaries_and_allowances.e_P_f"
));

$proto41["m_sql"] = "SUM(attendance.attendance)  * salaries_and_allowances.e_P_f";
$proto41["m_srcTableName"] = "attendance11";
$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "e_P_f";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
						$proto43=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(attendance.attendance)  * salaries_and_allowances.special_allowance_1"
));

$proto43["m_sql"] = "SUM(attendance.attendance)  * salaries_and_allowances.special_allowance_1";
$proto43["m_srcTableName"] = "attendance11";
$proto43["m_expr"]=$obj;
$proto43["m_alias"] = "special_allowance_1";
$obj = new SQLFieldListItem($proto43);

$proto0["m_fieldlist"][]=$obj;
						$proto45=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(attendance.attendance)  * salaries_and_allowances.budgetary_relief_allowance"
));

$proto45["m_sql"] = "SUM(attendance.attendance)  * salaries_and_allowances.budgetary_relief_allowance";
$proto45["m_srcTableName"] = "attendance11";
$proto45["m_expr"]=$obj;
$proto45["m_alias"] = "budgetary_relief_allowance";
$obj = new SQLFieldListItem($proto45);

$proto0["m_fieldlist"][]=$obj;
						$proto47=array();
			$obj = new SQLField(array(
	"m_strName" => "fullname",
	"m_strTable" => "sys_manage",
	"m_srcTableName" => "attendance11"
));

$proto47["m_sql"] = "sys_manage.fullname";
$proto47["m_srcTableName"] = "attendance11";
$proto47["m_expr"]=$obj;
$proto47["m_alias"] = "";
$obj = new SQLFieldListItem($proto47);

$proto0["m_fieldlist"][]=$obj;
						$proto49=array();
			$proto50=array();
$proto50["m_functiontype"] = "SQLF_CUSTOM";
$proto50["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "\"Days-\""
));

$proto50["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(attendance.attendance)"
));

$proto50["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "\", Overtime_hours-\""
));

$proto50["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(attendance.overtime_hours)"
));

$proto50["m_arguments"][]=$obj;
$proto50["m_strFunctionName"] = "CONCAT";
$obj = new SQLFunctionCall($proto50);

$proto49["m_sql"] = "CONCAT(\"Days-\",SUM(attendance.attendance),\", Overtime_hours-\",SUM(attendance.overtime_hours))";
$proto49["m_srcTableName"] = "attendance11";
$proto49["m_expr"]=$obj;
$proto49["m_alias"] = "details";
$obj = new SQLFieldListItem($proto49);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto55=array();
$proto55["m_link"] = "SQLL_MAIN";
			$proto56=array();
$proto56["m_strName"] = "attendance";
$proto56["m_srcTableName"] = "attendance11";
$proto56["m_columns"] = array();
$proto56["m_columns"][] = "id";
$proto56["m_columns"][] = "emp_id";
$proto56["m_columns"][] = "date";
$proto56["m_columns"][] = "attendance";
$proto56["m_columns"][] = "overtime_hours";
$proto56["m_columns"][] = "user";
$proto56["m_columns"][] = "month";
$proto56["m_columns"][] = "year";
$proto56["m_columns"][] = "branch_code";
$proto56["m_columns"][] = "outlet_code";
$obj = new SQLTable($proto56);

$proto55["m_table"] = $obj;
$proto55["m_sql"] = "attendance";
$proto55["m_alias"] = "";
$proto55["m_srcTableName"] = "attendance11";
$proto57=array();
$proto57["m_sql"] = "";
$proto57["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto57["m_column"]=$obj;
$proto57["m_contained"] = array();
$proto57["m_strCase"] = "";
$proto57["m_havingmode"] = false;
$proto57["m_inBrackets"] = false;
$proto57["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto57);

$proto55["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto55);

$proto0["m_fromlist"][]=$obj;
												$proto59=array();
$proto59["m_link"] = "SQLL_LEFTJOIN";
			$proto60=array();
$proto60["m_strName"] = "salaries_and_allowances";
$proto60["m_srcTableName"] = "attendance11";
$proto60["m_columns"] = array();
$proto60["m_columns"][] = "id";
$proto60["m_columns"][] = "emp_id";
$proto60["m_columns"][] = "days_pay";
$proto60["m_columns"][] = "over_time";
$proto60["m_columns"][] = "meal_allowance";
$proto60["m_columns"][] = "e_P_f";
$proto60["m_columns"][] = "special_allowance_1";
$proto60["m_columns"][] = "budgetary_relief_allowance";
$proto60["m_columns"][] = "branch_code";
$obj = new SQLTable($proto60);

$proto59["m_table"] = $obj;
$proto59["m_sql"] = "LEFT OUTER JOIN salaries_and_allowances ON attendance.emp_id = salaries_and_allowances.emp_id";
$proto59["m_alias"] = "";
$proto59["m_srcTableName"] = "attendance11";
$proto61=array();
$proto61["m_sql"] = "attendance.emp_id = salaries_and_allowances.emp_id";
$proto61["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "emp_id",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto61["m_column"]=$obj;
$proto61["m_contained"] = array();
$proto61["m_strCase"] = "= salaries_and_allowances.emp_id";
$proto61["m_havingmode"] = false;
$proto61["m_inBrackets"] = false;
$proto61["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto61);

$proto59["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto59);

$proto0["m_fromlist"][]=$obj;
												$proto63=array();
$proto63["m_link"] = "SQLL_LEFTJOIN";
			$proto64=array();
$proto64["m_strName"] = "sys_manage";
$proto64["m_srcTableName"] = "attendance11";
$proto64["m_columns"] = array();
$proto64["m_columns"][] = "ID";
$proto64["m_columns"][] = "username";
$proto64["m_columns"][] = "password";
$proto64["m_columns"][] = "email";
$proto64["m_columns"][] = "fullname";
$proto64["m_columns"][] = "groupid";
$proto64["m_columns"][] = "active";
$proto64["m_columns"][] = "ext_security_id";
$proto64["m_columns"][] = "reset_token";
$proto64["m_columns"][] = "reset_date";
$proto64["m_columns"][] = "teliphone_number";
$proto64["m_columns"][] = "date";
$proto64["m_columns"][] = "branch_code";
$proto64["m_columns"][] = "outlet_code";
$proto64["m_columns"][] = "MyTheme";
$proto64["m_columns"][] = "MyThemeSize";
$proto64["m_columns"][] = "password2";
$obj = new SQLTable($proto64);

$proto63["m_table"] = $obj;
$proto63["m_sql"] = "LEFT OUTER JOIN sys_manage ON attendance.emp_id = sys_manage.ID";
$proto63["m_alias"] = "";
$proto63["m_srcTableName"] = "attendance11";
$proto65=array();
$proto65["m_sql"] = "attendance.emp_id = sys_manage.ID";
$proto65["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "emp_id",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto65["m_column"]=$obj;
$proto65["m_contained"] = array();
$proto65["m_strCase"] = "= sys_manage.ID";
$proto65["m_havingmode"] = false;
$proto65["m_inBrackets"] = false;
$proto65["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto65);

$proto63["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto63);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
												$proto67=array();
						$obj = new SQLField(array(
	"m_strName" => "month",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto67["m_column"]=$obj;
$obj = new SQLGroupByItem($proto67);

$proto0["m_groupby"][]=$obj;
												$proto69=array();
						$obj = new SQLField(array(
	"m_strName" => "emp_id",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto69["m_column"]=$obj;
$obj = new SQLGroupByItem($proto69);

$proto0["m_groupby"][]=$obj;
$proto0["m_orderby"] = array();
												$proto71=array();
						$obj = new SQLField(array(
	"m_strName" => "month",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto71["m_column"]=$obj;
$proto71["m_bAsc"] = 0;
$proto71["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto71);

$proto0["m_orderby"][]=$obj;					
												$proto73=array();
						$obj = new SQLField(array(
	"m_strName" => "emp_id",
	"m_strTable" => "attendance",
	"m_srcTableName" => "attendance11"
));

$proto73["m_column"]=$obj;
$proto73["m_bAsc"] = 1;
$proto73["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto73);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="attendance11";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_attendance11 = createSqlQuery_attendance11();


	
		;

																				

$tdataattendance11[".sqlquery"] = $queryData_attendance11;



$tableEvents["attendance11"] = new eventsBase;
$tdataattendance11[".hasEvents"] = false;

?>